MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000059SoldatGameplaypublic2011-09-20 21:562013-07-07 16:48
ReporterBonecrusher 
Assigned ToShoozza 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version1.6.0 
Target VersionFixed in Version1.6.1 
Summary0000059: Knife not being able to throw right after spawn
DescriptionSuggestion: Remove the knife throw delay right after being spawned
Reason: First of all let me explain what I mean. Imagine a situation when you are being spawned in the lower level of ctf_Ash, and your base is filled with spawners. As soon as you respawn you take out your knife and want to throw it at these guys, but it cannot be thrown for a short while. After this time has passed you are already dead as spawners are using chainsaws. I find this very annoying though. It will help a lot dealing with spawning. Delay as it is has been added in the previous version in soldat(no idea why). I really look forward for this. Spawn is able to saw by the time you are spawned so i see no reason why knife shouldnt be the same.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001162)
Shoozza (administrator)
2011-09-22 05:02

You mean by knife delay the blocking of waiting to trow the knife or the delay you need to wait before you can throw the knife with full power?
(0001163)
Bonecrusher (reporter)
2011-09-22 09:20

What I mean is knife should be able to be thrown as soon as you are respawned and somehow this cant be done. There's some sort of delay which disallows throwing the knife right after being spawned. It's a short delay but still.
(0001165)
cheeseman2 (reporter)
2011-09-22 11:17
edited on: 2011-09-22 11:19

this was added to fix the problem of holding throw while spawning to throw full power knives instantly.(I believe)

(0001167)
Bonecrusher (reporter)
2011-09-22 11:46
edited on: 2011-09-22 11:51

Yea and its bad as you can use both saw and socom as soon as you are spawned so its not fair. Enesce added this from what i remember.

I did some research and found these threads which show that players havent suggested this to be added and werent happy about this change:
http://forums.soldat.pl/index.php?topic=18870.0 [^]
http://forums.soldat.pl/index.php?topic=24563.0 [^]

(0001190)
Shoozza (administrator)
2011-09-30 22:12

Dropping any weapon on respawn works also throwing knife on respawn works.
(0001748)
Bistoufly (updater)
2013-07-07 16:48

verified 1.6.3.

- Issue History
Date Modified Username Field Change
2011-09-20 21:56 Bonecrusher New Issue
2011-09-21 02:42 Shoozza Status new => confirmed
2011-09-22 05:02 Shoozza Note Added: 0001162
2011-09-22 05:02 Shoozza Assigned To => Shoozza
2011-09-22 05:02 Shoozza Status confirmed => feedback
2011-09-22 09:20 Bonecrusher Note Added: 0001163
2011-09-22 09:20 Bonecrusher Status feedback => assigned
2011-09-22 11:17 cheeseman2 Note Added: 0001165
2011-09-22 11:19 cheeseman2 Note Edited: 0001165 View Revisions
2011-09-22 11:19 cheeseman2 Note Edited: 0001165 View Revisions
2011-09-22 11:46 Bonecrusher Note Added: 0001167
2011-09-22 11:50 Bonecrusher Note Edited: 0001167 View Revisions
2011-09-22 11:51 Bonecrusher Note Edited: 0001167 View Revisions
2011-09-30 22:12 Shoozza Note Added: 0001190
2011-09-30 22:12 Shoozza Status assigned => resolved
2011-09-30 22:12 Shoozza Fixed in Version => 1.6.1
2011-09-30 22:12 Shoozza Resolution open => fixed
2013-07-07 16:48 Bistoufly Note Added: 0001748
2013-07-07 16:48 Bistoufly Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker